# This is ESlint configuration for Pecode Software
1) First of all, be sure you are installed ESlint globally `npm install -g eslint`
2) Install ESlint plugin for VScode:
- you could use this link https://marketplace.visualstudio.com/items?itemName=dbaeumer.vscode-eslint
- or install it through your VSCode
![ESlint setup](https://i.ibb.co/LdWJMvR/Screenshot-320.png)
3) Open your project folder and call the terminal, then type next command and press `Enter`
- `npm i eslint eslint-plugin-chai-friendly eslint-plugin-cypress eslint-plugin-import eslint-config-pecode`
![npm install](https://i.ibb.co/Fg8B8rz/Screenshot-322.png)
4) After all, packages will be installed, create `.eslintrc.json` file at the root of your project and copy-paste this code inside this file
```sh
{ 
  "extends": "eslint-config-pecode" 
}
```
![extends](https://i.ibb.co/Nn7Tkqc/Screenshot-323.png)

5) Configure your ESlint in VSCode so it will fix all errors `on save`: 
- Go to File > Preferences > Settings > Workplace and try to find: `Editor: Code Actions On Save` - click on it
- Then modify `Settings.json`:
![Code Actions On Save](https://i.ibb.co/NmfzC85/Screenshot-318.png)

- "In settings.json paste the following code:

```sh
{
  "editor.codeActionsOnSave": {
  "source.fixAll.eslint": true
  },
  "eslint.validate": ["javascript"]
}
```

![settings.json](https://i.ibb.co/WBGLx6K/Screenshot-319.png)

**Happy coding** 🎉